---
title: llarp::consensus::EdgeSelector
summary: selection nodes we want to connect to when we are a client. 

---

# llarp::consensus::EdgeSelector



selection nodes we want to connect to when we are a client. 


`#include <edge_selector.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[EdgeSelector](Classes/classllarp_1_1consensus_1_1EdgeSelector.md#function-edgeselector)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & router) |
| std::optional< [RouterContact](Classes/structllarp_1_1RouterContact.md) > | **[select_path_edge](Classes/classllarp_1_1consensus_1_1EdgeSelector.md#function-select-path-edge)**(const std::unordered_set< [RouterID](Classes/structllarp_1_1RouterID.md) > & connected_now ={}) const<br>get a router contact of a snode to connect to for paths.  |
| std::optional< [RouterContact](Classes/structllarp_1_1RouterContact.md) > | **[select_bootstrap](Classes/classllarp_1_1consensus_1_1EdgeSelector.md#function-select-bootstrap)**(const std::unordered_set< [RouterID](Classes/structllarp_1_1RouterID.md) > & connected_now ={}) const<br>get a router contact of a bootstrap snode to bootstrap with.  |

## Public Functions Documentation

### function EdgeSelector

```cpp
explicit EdgeSelector(
    AbstractRouter & router
)
```


### function select_path_edge

```cpp
std::optional< RouterContact > select_path_edge(
    const std::unordered_set< RouterID > & connected_now ={}
) const
```

get a router contact of a snode to connect to for paths. 

pass in an unordered set of snodes we are currently connected to. 


### function select_bootstrap

```cpp
std::optional< RouterContact > select_bootstrap(
    const std::unordered_set< RouterID > & connected_now ={}
) const
```

get a router contact of a bootstrap snode to bootstrap with. 

pass in an unodereed set of bootstrap routers we are currently connected to. 


-------------------------------

Updated on 2023-05-11 at 12:24:50 +0000